[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# BitBtnResNames

Contains resource names for corresponding button identifiers in TBitBtn.

## Declaration

Source position: buttons.pp line 550

`const BitBtnResNames: array [TButtonImage] of string = ('btn_ok', 'btn_cancel', 'btn_help', 'btn_yes', 'btn_no', 'btn_close', 'btn_abort', 'btn_retry', 'btn_ignore', 'btn_all', 'btn_all', 'btn_no');`

## Description

BitBtnResNames is an Array constant that contains Strings with the resource name for button identifiers used in TBitBtn. Values in BitBtnResNames are indexed by the range of values defined in BitBtnImages: idButtonOk..idButtonNoToAll.

BitBtnResNames is used in the implementation of the RealizeKind method in TCustomBitBtn.

## See also

BitBtnImages |  | Contains button identifiers used to get icons for TBitBtn button glyphs.
TCustomBitBtn |  | TCustomBitBtn - the ancestor class for TBitBtn.